{% extends 'admin/base_admin.html.twig' %}

{% block title %}Users{% endblock %}
{% block breadcrumbs %}
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{ path('admin.users') }}">Home</a></li>
        <li class="breadcrumb-item active">Orders</li>
    </ol>
{% endblock %}

{% block body %}

<div class="card">
    <div class="card-body">

        <div class="box">
            <table class="table table-bordered table-hover">
                <thead>
                <tr>
                    <th>Customer</th>
                    <th>Created</th>
                    <th>Grand total</th>
                    <th>Status</th>
                    <th>Quantity of goods</th>
                    <th></th>
                </tr>
                </thead>
                <tbody>
                {% for order in pagination %}
                    <tr>
                        <td><a href="{{ path('admin.customers.show', {'id': order.customer_id}) }}">{{ order.customer_name }}</a></td>
                        <td>{{ order.created }}</td>
                        <td>{{ order.grand_total }}</td>
                        <td>{{ order.status }}</td>
                        <td>{{ order.count }}</td>
                        <td>
                            <div class="d-flex flex-row">
                                <a href="{{ path('admin.orders.show', {'id': order.id}) }}">Details</a>
                            </div>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>

        <div class="navigation">
            {{ knp_pagination_render(pagination) }}
        </div>
    </div>
</div>

{% endblock %}